package intrinsic.mx.effects;

public class CompositeEffect extends intrinsic.mx.effects.Effect {

	/** Accessors */

	/** Variables */
	public intrinsic.Array children;
	public double perElementOffset;
	public int repeatDelay;
	public int startDelay;
	public int repeatCount;
	public intrinsic.Class instanceClass;
	public boolean suspendBackgroundProcessing;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public CompositeEffect() {
}

public CompositeEffect(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void addChild(intrinsic.mx.effects.Effect arg0);
public native intrinsic.Array createInstances();
public native intrinsic.Array createInstances(intrinsic.Array arg0);
public native void captureStartValues();
public native intrinsic.Array getAffectedProperties();
public native intrinsic.mx.effects.IEffectInstance createInstance();
public native intrinsic.mx.effects.IEffectInstance createInstance(Object arg0);

}
